Page MenuHomePhabricator

ui/flip: fix efl_pack usage
ClosedPublic

Authored by jpeg on Nov 27 2018, 2:09 AM.

Details

Summary

Objects packed would end up invisible as they were not marked as
"_elm_leaveme". I also added some list safety code but I think the
entire pack API on flip is very much untested and unstable.

@fix

Test Plan
elementary_test -to "gfx filters"

The upper half of the panes would be invisible.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 8231
Build 7515: arc lint + arc unit
jpeg created this revision.Nov 27 2018, 2:09 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

jpeg requested review of this revision.Nov 27 2018, 2:09 AM
segfaultxavi accepted this revision.Nov 28 2018, 1:24 AM

Fixes the gfx filters elementary_test as advertised.
I would wait for someone with more experience to review this before landing.

So objects are removed from the list now before adding them again? To avoid duplicates?

This revision is now accepted and ready to land.Nov 28 2018, 1:24 AM
jpeg added a comment.Dec 1 2018, 2:01 AM

So objects are removed from the list now before adding them again? To avoid duplicates?

Yeah. This was a quick fix. I think the widget needs some love.

cedric accepted this revision.Jan 16 2019, 2:43 PM

This is sitting here for some time and should have landed according to review.

This revision was automatically updated to reflect the committed changes.